import 'package:pia_framework/Variable/PIA_LocalValue.dart';
import 'package:pia_framework/Lang/LangStr_Chi.dart';
import 'package:pia_framework/Lang/LangStr_Eng.dart';

class PIA_Lang
{  static String lang_id = "0";
   static String eng = "1";
   static String chi = "2";

   static Map LangStr = Map();

   static void init(String default_lang_id) {
     LangStr_Chi.init();
     LangStr_Eng.init();

     String local_lang = PIA_LocalValue.get("lang_id");
     print("Local lang ${local_lang}");

     if(local_lang == "1" || local_lang == "2")
       {  lang_id = local_lang; }
     else
       {  PIA_LocalValue.set("lang_id",default_lang_id);
          lang_id = default_lang_id;
       }

     switch(lang_id)
      {  case "1":
           LangStr = LangStr_Eng.Str_lang;
           break;

        case "2":
           LangStr = LangStr_Chi.Str_lang;
           break;
      }
   }

   static void Set_Chi()
   {  lang_id = "2";
      LangStr = LangStr_Chi.Str_lang;
      PIA_LocalValue.set("lang_id",lang_id);
   }

   static void Set_Eng()
   { lang_id = "1";
     LangStr = LangStr_Eng.Str_lang;
     PIA_LocalValue.set("lang_id",lang_id);
   }

   static String get(String str)
   {  return LangStr[str] ?? 'Lang ${str} error';
   }

}